import React from 'react';
import PropTypes from 'prop-types';
import { propsTypes } from './types';
/**
 * Primary UI component for user interaction
 */
declare const CalendarDatePicker: {
    (props: propsTypes): React.ReactElement;
    propTypes: {
        availableSlots: PropTypes.Requireable<any>;
        startDate: PropTypes.Requireable<string>;
        endDate: PropTypes.Requireable<string>;
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
        onChange: PropTypes.Requireable<(...args: any[]) => any>;
    };
    defaultProps: {
        availableSlots: {};
        startDate: undefined;
        endDate: undefined;
        onClick: undefined;
        onChange: undefined;
    };
};
export default CalendarDatePicker;
